diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index e835e4b..7329281 100644
*** a/doc/src/sgml/config.sgml
--- b/doc/src/sgml/config.sgml
*************** dynamic_library_path = 'C:\tools\postgre
*** 5266,5272 ****
          practice. On a heavily loaded server you might want to raise it.
          Ideally the setting should exceed your typical transaction time,
          so as to improve the odds that a lock will be released before
!         the waiter decides to check for deadlock.
         </para>
  
         <para>
--- 5266,5273 ----
          practice. On a heavily loaded server you might want to raise it.
          Ideally the setting should exceed your typical transaction time,
          so as to improve the odds that a lock will be released before
!         the waiter decides to check for deadlock.  Only superusers can change
!         this setting.
         </para>
  
         <para>
diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index 92391ed..48ffe95 100644
*** a/src/backend/utils/misc/guc.c
--- b/src/backend/utils/misc/guc.c
*************** static struct config_int ConfigureNamesI
*** 1532,1539 ****
  	},
  
  	{
! 		/* This is PGC_SIGHUP so all backends have the same value. */
! 		{"deadlock_timeout", PGC_SIGHUP, LOCK_MANAGEMENT,
  			gettext_noop("Sets the time to wait on a lock before checking for deadlock."),
  			NULL,
  			GUC_UNIT_MS
--- 1532,1539 ----
  	},
  
  	{
! 		/* This is PGC_SUSET to prevent hiding from log_lock_waits. */
! 		{"deadlock_timeout", PGC_SUSET, LOCK_MANAGEMENT,
  			gettext_noop("Sets the time to wait on a lock before checking for deadlock."),
  			NULL,
  			GUC_UNIT_MS
